/***************************************************************************
                          kplchecklistitem.cpp  -  description
                             -------------------

    This file is a part of kpl - a program for graphical presentation of
    data sets and functions.

    begin                : Sun Aug 22 1999
    copyright            : (C) 2000 by Werner Stille
    email                : stille@uni-freiburg.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#include <kapp.h>
#include <kiconloader.h>
#include "kplchecklistitem.h"

#if (KDE_VERSION_MAJOR > 1) || (KDE_VERSION_MINOR > 1)
  #include <kglobal.h>
  #define Icon(x) KGlobal::iconLoader()->loadIcon(x)
#endif

KplCheckListItem::KplCheckListItem(QListView *parent) :
  QListViewItem(parent)
{
  init();
}

KplCheckListItem::KplCheckListItem(KplCheckListItem *parent) :
  QListViewItem(parent)
{
  init();
}

KplCheckListItem::KplCheckListItem(QListView *parent, KplCheckListItem *after) :
  QListViewItem(parent, after)
{
  init();
}

KplCheckListItem::KplCheckListItem(KplCheckListItem *parent, KplCheckListItem *after) :
  QListViewItem(parent, after)
{
  init();
}

KplCheckListItem::~KplCheckListItem()
{
}

void KplCheckListItem::setOn(bool b)
{
  bool old = on;
  on = b;
  if (on != old) {
    if (on)
#if (KDE_VERSION_MAJOR > 1) || (KDE_VERSION_MINOR > 1)
      setPixmap(0, Icon("checked"));
    else
      setPixmap(0, Icon("unchecked"));
#else
      setPixmap(0, Icon("checked.xpm"));
    else
      setPixmap(0, Icon("unchecked.xpm"));
#endif
    emit stateChanged(this, on);
  }
}

bool KplCheckListItem::isOn()
{
  return on;
}

void KplCheckListItem::activate()
{
	setOn(!on);
}

void KplCheckListItem::init()
{
  on = false;
#if (KDE_VERSION_MAJOR > 1) || (KDE_VERSION_MINOR > 1)
  setPixmap(0, Icon("unchecked"));
#else
  setPixmap(0, Icon("unchecked.xpm"));
#endif
}
